package postgres

import "git.javil.eu/jacob1123/budgeteer"

import "gopkg.in/pg.v5"

// UserService represents a PostgreSQL implementation of myapp.UserService.
type UserService struct {
	DB *pg.DB
}

// User returns a user for a given id.
func (s *UserService) User(id int) (*budgeteer.User, error) {
	u := &budgeteer.User{ID: id}
	err := s.DB.Select(&u)
	if err != nil {
		return nil, err
	}
	return u, nil
}
